## disable empty debuginfo package
%global debug_package %{nil}

Name:           gela-asis
Version:        0.3.2
Release:        4%{?dist}
Summary:        Implementation of ASIS
Group:          Development/Libraries
License:        BSD
URL:            http://gela.ada-ru.org/gela_asis
Source0:        http://www.ada-ru.org/files/gela-asis-%{version}.tar.bz2
BuildRequires:  gcc-gnat chrpath fedora-gnat-project-common > 3
# gcc-gnat only available on these:
ExclusiveArch:  %{GNAT_arches}


%description
Platform/compiler independent implementation of Ada
Semantic Interface Specification. 

%package devel
Summary:        Devel package for %{name}
License:        BSD
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common > 3 

%description devel
%{summary}


%prep
%setup -q

%build
export FLAGS="%GNAT_optflags"
make %{?_smp_mflags} LIBKIND="relocatable"


%install
mkdir -p %{buildroot}/%_GNAT_project_dir
make install DESTDIR=%{buildroot} \
PREFIX=%{_prefix} LIBDIR=%{_libdir} \
LIBKIND="relocatable" GELA_INCLUDE_PATH=%{_includedir}/%{name} \
GPRDIR=%_GNAT_project_dir LIB=%{_libdir}/%{name} GPR=fedora.gpr.in
chrpath --delete %{buildroot}/%{_libdir}/%{name}/*.so*
cd %{buildroot}/%{_libdir} && for i in `ls gela-asis/*.so*`; do ln -s $i `basename $i`; done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%dir %{_libdir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/lib%{name}.so

%files devel
%doc README.txt
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/spec/
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/%{name}/lib%{name}.so.%{version}
%{_includedir}/%{name}/*.ad[sb]
%{_includedir}/%{name}/spec/*.ad[sb]
%{_libdir}/%{name}/*.ali
%_GNAT_project_dir/gela_asis.gpr


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3.2-2
- Change URL tag 

* Sun Dec 01 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3.2-1
- Bugfix release. 

* Wed Nov 27 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3.1-2
- Removing rpath 

* Thu Nov 21 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3.1-1
- Bugfix release update (patches have been accepted upstream)

* Thu Oct 24 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3-7
- Add BR
- Change arch list with macros

* Wed Oct 23 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3-6
- Add qtada patch
- Change library type 

* Tue Oct 22 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 0.3-4
- Initial build 
- Add ExclusiveArch 
- Fix rpmlint errors 
- Add missed ldconfig call


